Package org.eclipse.birt.report.engine.api

# Interface IReportDocumentLockManager

public interface IReportDocumentLockManager

## Method Summary

Modifier and Type
Method
Description
`IReportDocumentLock`
`lock(String document)`
try to lock a file, onece the user get the lock of the file, it should synchronize the locker to read/write the report document.

## Method Details

### lock

IReportDocumentLock lock(String document) throws org.eclipse.birt.core.exception.BirtException
try to lock a file, onece the user get the lock of the file, it should synchronize the locker to read/write the report document.

Parameters:
  `document` -
Returns:
  the locker.
Throws:
  `org.eclipse.birt.core.exception.BirtException`